%define module pyparsing

Summary:        A general parsing module for Python
Name:           python-%{module}
Version:        2.0.1
Release:        %mkrel 4
License:        MIT
Group:          Development/Python
URL:            http://pyparsing.wikispaces.com/
Source0:        http://downloads.sourceforge.net/pyparsing/%{module}-%{version}.tar.gz
BuildRequires:  python-devel
BuildArch:      noarch
Provides:       pyparsing = %version
%rename python-parsing

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.


%package docs
Summary:        A general parsing module for Python
Group:          Development/Python

%description docs
This package includes the HTML documentataion and examples of %{module}.


%package -n python3-pyparsing
Summary:        A general parsing module for Python 3
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-pyparsing
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.


%prep
%setup -q -n %{module}-%version
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc CHANGES LICENSE README
%{python_sitelib}/%{module}.py*
%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info

%files docs
%doc docs/*

%files -n python3-pyparsing
%doc CHANGES LICENSE README
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/%{module}-%{version}-py%{py3ver}.egg-info
%{python3_sitelib}/__pycache__/pyparsing*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 544063
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.1-3.mga4
+ Revision: 499264
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.0.1-2.mga4
+ Revision: 492443
+ rebuild (emptylog)

* Wed Oct 02 2013 philippem <philippem> 2.0.1-1.mga4
+ Revision: 490551
- Update to 2.0.1

* Thu Aug 29 2013 fwang <fwang> 1.5.6-1.mga4
+ Revision: 472768
- new version 1.5.6

* Sun Jan 13 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 379387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 kamil <kamil> 1.5.5-3.mga3
+ Revision: 222874
- build python3-pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-2.mga1
+ Revision: 97796
- Add provides pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-1.mga1
+ Revision: 97778
- imported package python-pyparsing

